summaryrefslogtreecommitdiff
path: root/etc/hstdp-2018.3a/tasks/999-clean.sh
diff options
context:
space:
mode:
Diffstat (limited to 'etc/hstdp-2018.3a/tasks/999-clean.sh')
-rwxr-xr-xetc/hstdp-2018.3a/tasks/999-clean.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/etc/hstdp-2018.3a/tasks/999-clean.sh b/etc/hstdp-2018.3a/tasks/999-clean.sh
new file mode 100755
index 0000000..7487b9c
--- /dev/null
+++ b/etc/hstdp-2018.3a/tasks/999-clean.sh
@@ -0,0 +1,18 @@
+#!/bin/bash -x
+if [[ ! -f /.dockerenv ]]; then
+ echo "This script cannot be executed outside of a docker container."
+ exit 1
+fi
+
+rm -rf "${HOME}/.astropy"
+rm -rf "${HOME}/.cache"
+rm -rf "${HOME}"/*
+
+sudo yum clean all
+sudo rm -rf /tmp/*
+sudo rm -rf /var/cache/yum
+
+for logfile in /var/log/*
+do
+ sudo truncate --size=0 "${logfile}"
+done